Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452022 - b43: System crashes when connecting to wireless network
Summary: b43: System crashes when connecting to wireless network
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: powerpc
OS: Linux
low
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 17:57 UTC by Alex Markley
Modified: 2008-06-24 20:12 UTC (History)
2 users (show)

Fixed In Version: kernel-2.6.25.7-64.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-24 16:43:56 UTC


Attachments (Terms of Use)

Description Alex Markley 2008-06-18 17:57:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
When connecting to any wireless network using the Network Manager applet, my iBook G4 immediately locks up hard.

My motherboard has a Broadcom 4318 (airport) wireless device built in, so my initial response is to be suspicious of the b43 driver. I'm using the latest available firmware for the Broadcom chip.

Version-Release number of selected component (if applicable):
kernel-2.6.25.6-55.fc9.ppc

How reproducible:
Always


Steps to Reproduce:
1.Boot the computer.
2.Log in to desktop.
3.Give Network Manager wireless secrets.
4.Sorrow.

Actual Results:
Instead of connecting to my network, the computer crashes.

Expected Results:
Instead of crashing, my computer should have connected to the network.

Additional info:
[alex@localhost ~]$ dmesg | grep -i b43
b43-phy0: Broadcom 4318 WLAN found
b43-phy0 debug: Found PHY: Analog 3, Type 2, Revision 7
b43-phy0 debug: Found Radio: Manuf 0x17F, Version 0x2050, Revision 8
input: b43-phy0 as /devices/virtual/input/input7
b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
b43-phy0 debug: Chip initialized
b43-phy0 debug: 32-bit DMA initialized
Registered led device: b43-phy0::tx
Registered led device: b43-phy0::rx
Registered led device: b43-phy0::radio
b43-phy0 debug: Wireless interface started
b43-phy0 debug: Adding Interface type 2
b43-phy0 debug: Removing Interface type 2
b43-phy0 debug: Wireless interface stopped
b43-phy0 debug: DMA-32 rx_ring: Used slots 1/64, Failed frames 0/0 = 0.0%, Average tries 0.00
b43-phy0 debug: DMA-32 tx_ring_AC_BK: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
b43-phy0 debug: DMA-32 tx_ring_AC_BE: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
b43-phy0 debug: DMA-32 tx_ring_AC_VI: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
b43-phy0 debug: DMA-32 tx_ring_AC_VO: Used slots 2/128, Failed frames 0/66 = 0.0%, Average tries 1.00
b43-phy0 debug: DMA-32 tx_ring_mcast: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
[alex@localhost ~]$

Comment 1 Alex Markley 2008-06-18 18:10:47 UTC
This problem doesn't appear to be present in the older 2.6.25.4-30.fc9.ppc
kernel. (I just rebooted into the older kernel, and the problem has gone away.)

Is this a kernel driver regression?

Comment 2 John Mahowald 2008-06-18 19:44:31 UTC
Not limited to ppc, also locked up a x86_64, a Gateway MX7120. Has a BCM4318
[AirForce One 54g] 802.11g Wireless LAN Controller, (rev 02)

http://smolts.org/client/show_all/pub_0d2146fb-1711-4fb8-b87f-400e732ce1a9

kernel-2.6.25.6-55.fc9.x86_64
Firmware was from broadcom-wl-4.150.10.5.tar.bz2

Locked it up real good, needed to hit power button. Caps lock blinks too, not
sure what that means.

Comment 3 Matz 2008-06-24 07:55:44 UTC
Same here on x86_64 with a BCM4312 rev 01 (Dell Inspiron 1501). I get a kernel
panic as soon as my wireless starts to connect. This is not present with kernels
older than .6 .

Comment 4 John W. Linville 2008-06-24 13:48:01 UTC
Could you try -64 or later?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=52847

Comment 5 Alex Markley 2008-06-24 16:35:34 UTC
kernel-2.6.25.7-64.fc9.ppc appears to fix the problem for me. Thanks!

Comment 6 Matz 2008-06-24 20:12:10 UTC
Also works here.


Note You need to log in before you can comment on or make changes to this bug.